%global momorel 1
%global qtver 3.3.5
%global qtrel 1m
%global kdever 3.5.4
%global kdelibsrel 1m
%global kdebaserel 1m
%global qtdir %{_libdir}/qt3
%global kdedir /usr
%global ftpdirver %{kdever}
%global sourcedir stable/%{ftpdirver}/src
%global enable_final 1
%global enable_gcc_check_and_hidden_visibility 0

Name: kdeedu
Summary: K Desktop Environment - Education
Version: %{kdever}
Release: %{momorel}m
Group: Amusements/Graphics
License: GPL
URL: http://edu.kde.org/
%NoSource 0 ftp://ftp.kde.org/pub/kde/%{sourcedir}/%{name}-%{version}.tar.bz2 81dfdea2ed6eaaa440ee868a69b8fc7e
## mirror site in Japan.
# %%NoSource 0 ftp://ftp.kde.gr.jp/pub/kde/%{sourcedir}/%{name}-%{version}.tar.bz2 81dfdea2ed6eaaa440ee868a69b8fc7e
Patch0: kdeedu-3.4.1-gcc4.patch
Patch1: kdeedu-3.4.91-s390.patch
BuildRoot: %{_tmppath}/%{name}-%{version}-root
Requires: kdebase >= %{kdever}-%{kdebaserel}
BuildPreReq: qt-devel >= %{qtver}, kdelibs-devel >= %{kdever}-%{kdelibsrel}, kdebase >= %{kdever}-%{kdebaserel}
BuildPreReq: libpng-devel >= 1.2.0
BuildPreReq: autoconf 
BuildPreReq: perl 
BuildPreReq: boost-devel >= 1.32.0
BuildPreReq: libusb-devel
BuildPreReq: desktop-file-utils

%description
Educational/Edutainment applications for KDE
This package includes,

  khangman: the classical hangman game
  klettres: help to learn the alphabet
  kmessedwords: simple mind-training game
  kverbos: to study Spanish verb forms
  kvoctrain: a vocabulary trainer
  kiten: a Japanese reference/learning tool
  kbruch: a program for generating tasks with fraction
  kig: a program for exploring geometric constructions
  kpercentage: help pupils to improve their skills in calculating percentages
  kmplot: a mathematical function plotter
  flashkard: a vocabulary studying tool for learning languages or termninology
  ktouch: a program for learning touch typing
  kwordquiz: a tool that gives you a powerful way to master new vocabularies
  kturtle: an educational programming environment using the Logo
  kstars: a Desktop Planetarium program
  kalzium: show you some information about the periodic system of the elements
  keduca: creation and revision of form-based tests and exams

%prep
%setup -q

%patch0 -p1 -b .gcc4

%ifarch s390 s390x ppc ppc64
%patch1 -p1 -b .s390
rm -rf doc/kstars kstars
perl -pi -e "s|kstars||" subdirs
%endif

make -f admin/Makefile.common cvs

%build
export QTDIR=%{qtdir} KDEDIR=%{kdedir} QTLIB=%{qtdir}/lib

%ifnarch alpha
CFLAGS="-D_GNU_SOURCE %{optflags} -DNDEBUG -DNO_DEBUG" \
CXXFLAGS="-D_GNU_SOURCE %{optflags} -DNDEBUG -DNO_DEBUG -fno-check-new" \
%else
CFLAGS="-D_GNU_SOURCE -O0" CXXFLAGS="-D_GNU_SOURCE -O0 -fno-check-new" \
%endif

export CFLAGS
export CXXFLAGS

./configure \
	--prefix=%{_prefix} \
	--libdir=%{_libdir} \
	--sysconfdir=%{_sysconfdir} \
	--with-qt-libraries=%{qtdir}/lib \
	--with-xinerama \
	--disable-debug \
	--disable-kig-python-scripting \
%if %{enable_final}
	--enable-final \
%endif
	--enable-new-ldflags \
%if %{enable_gcc_check_and_hidden_visibility}
	--enable-gcc-hidden-visibility \
%endif
	--disable-warnings \
	--disable-rpath

make %{?_smp_mflags}

%install
[ "%{buildroot}" != "/" ] && rm -rf %{buildroot}

make install DESTDIR=%{buildroot}

# install desktop file (revise kwordquiz.desktop)
desktop-file-install --vendor= --delete-original \
  --dir %{buildroot}%{_datadir}/applications/kde \
  --add-category Education \
  --add-category KDE \
  --add-category Qt \
  %{buildroot}%{_datadir}/applnk/Edutainment/Miscellaneous/kwordquiz.desktop

# Make symlinks relative
cd %{buildroot}%{_docdir}/HTML/en
for i in *; do
	[ -d $i -a -L $i/common ] && ln -nfs ../common $i/common
done

%clean
[ "%{buildroot}" != "/" ] && rm -rf %{buildroot}

%post
/sbin/ldconfig

%postun
/sbin/ldconfig

%files
%defattr(-,root,root)
%doc COPYING INSTALL README
%{_bindir}/*
%{_includedir}/libkdeedu
%{_includedir}/libkiten
%ifnarch s390 s390x ppc ppc64
%{_includedir}/*.h
%endif
%{_libdir}/kde3/*.la
%{_libdir}/kde3/*.so
%{_libdir}/*.la
%{_libdir}/*.so*
%{_datadir}/applications/kde/*.desktop
%{_datadir}/applnk/Edutainment
%{_datadir}/apps/blinken
%{_datadir}/apps/kalzium
%{_datadir}/apps/kanagram
%{_datadir}/apps/katepart/syntax/*.xml
%{_datadir}/apps/kbruch
%{_datadir}/apps/keduca
%{_datadir}/apps/kgeography
%{_datadir}/apps/khangman
%{_datadir}/apps/kig
%{_datadir}/apps/kiten
%{_datadir}/apps/klatin
%{_datadir}/apps/klettres
%{_datadir}/apps/kmplot
%{_datadir}/apps/kpercentage
%ifnarch s390 s390x ppc ppc64
%{_datadir}/apps/kstars
%endif
%{_datadir}/apps/ktouch
%{_datadir}/apps/kturtle
%{_datadir}/apps/kverbos
%{_datadir}/apps/kvoctrain
%{_datadir}/apps/kwordquiz
%{_datadir}/config/magic/*.magic
%{_datadir}/config/*rc
%{_datadir}/config.kcfg/*.kcfg
%{_datadir}/doc/HTML/en/blinken
%{_datadir}/doc/HTML/en/kalzium
%{_datadir}/doc/HTML/en/kanagram
%{_datadir}/doc/HTML/en/kbruch
%{_datadir}/doc/HTML/en/keduca
%{_datadir}/doc/HTML/en/kgeography
%{_datadir}/doc/HTML/en/khangman
%{_datadir}/doc/HTML/en/kig
%{_datadir}/doc/HTML/en/kiten
%{_datadir}/doc/HTML/en/klatin
%{_datadir}/doc/HTML/en/klettres
%{_datadir}/doc/HTML/en/kmplot
%{_datadir}/doc/HTML/en/kpercentage
%ifnarch s390 s390x ppc ppc64
%{_datadir}/doc/HTML/en/kstars
%endif
%{_datadir}/doc/HTML/en/ktouch
%{_datadir}/doc/HTML/en/kturtle
%{_datadir}/doc/HTML/en/kverbos
%{_datadir}/doc/HTML/en/kvoctrain
%{_datadir}/doc/HTML/en/kwordquiz
%{_datadir}/icons/*/*/*/*.png
%{_datadir}/icons/*/*/*/*.svg
%{_datadir}/icons/*/*/*/*.svgz
%{_datadir}/mimelnk/application/*.desktop
%{_datadir}/services/*.desktop

%changelog
* Wed Aug  2 2006 Ichiro Nakai <ichiro@n.email.ne.jp>
- (3.5.4-1m)
- update to KDE 3.5.4

* Wed May 31 2006 Ichiro Nakai <ichiro@n.email.ne.jp>
- (3.5.3-1m)
- update to KDE 3.5.3

* Wed Mar 29 2006 Ichiro Nakai <ichiro@n.email.ne.jp>
- (3.5.2-1m)
- update to KDE 3.5.2

* Fri Mar 10 2006 Dai OKUYAMA <dai@ouchi.nahi.to>
- (3.5.1-2m)
- fix for ppc, ppc64

* Wed Feb  1 2006 Ichiro Nakai <ichiro@n.email.ne.jp>
- (3.5.1-1m)
- update to KDE 3.5.1

* Sat Jan 28 2006 Ichiro Nakai <ichiro@n.email.ne.jp>
- (3.5.0-2m)
- add --enable-new-ldflags to configure
- disable_gcc_check_and_hidden_visibility 1

* Wed Nov 30 2005 Ichiro Nakai <ichiro@n.email.ne.jp>
- (3.5.0-1m)
- update to KDE 3.5

* Mon Nov 28 2005 Ichiro Nakai <ichiro@n.email.ne.jp>
- (3.5.0-0.1.2m)
- revise kwordquiz.desktop for GNOME
- BuildPreReq: desktop-file-utils
- disable hidden visibility

* Sat Nov 12 2005 Ichiro Nakai <ichiro@n.email.ne.jp>
- (3.5.0-0.1.1m)
- update to KDE 3.5 RC1
- import kdeedu-3.4.91-s390.patch from Fedora Core devel

* Thu Oct 13 2005 Ichiro Nakai <ichiro@n.email.ne.jp>
- (3.4.3-1m)
- update to KDE 3.4.3
- remove kdeedu-3.4.2-uic.patch
- remove post-3.4.2-kdeedu.diff

* Fri Sep 23 2005 Ichiro Nakai <ichiro@n.email.ne.jp>
- (3.4.2-4m)
- import kdeedu-3.4.2-uic.patch from Fedora Core devel
 +* Wed Sep 21 2005 Than Ngo <than@redhat.com> 3.4.2-3
 +- fix uic build problem

* Wed Sep 14 2005 Ichiro Nakai <ichiro@n.email.ne.jp>
- (3.4.2-3m)
- add --disable-rpath to configure

* Tue Aug 16 2005 Ichiro Nakai <ichiro@n.email.ne.jp>
- (3.4.2-2m)
- [SECURITY] post-3.4.2-kdeedu.diff for "langen2kvtml tempfile vulnerability"
  http://www.kde.org/info/security/advisory-20050815-1.txt

* Thu Jul 28 2005 Ichiro Nakai <ichiro@n.email.ne.jp>
- (3.4.2-1m)
- update to KDE 3.4.2
- remove nokdelibsuff.patch
- import gcc4.patch from Fedora Core
- add %%doc

* Wed Jun  1 2005 Ichiro Nakai <ichiro@n.email.ne.jp>
- (3.4.1-1m)
- update to KDE 3.4.1

* Fri Apr 15 2005 Ichiro Nakai <ichiro@n.email.ne.jp>
- (3.4.0-3m)
- modify %%files section

* Tue Mar 29 2005 Toru Hoshina <t@momonga-linux.org>
- (3.4.0-2m)
- kdelibsuff doesn't need to be applied with {_libdir}/qt3/lib.
- --disable-kig-python-scripting due to version mismatch.

* Mon Mar 28 2005 Ichiro Nakai <ichiro@n.email.ne.jp>
- (3.4.0-1m)
- update to KDE 3.4.0
- BuildPreReq: kdebase
- remove post-3.3.2-kdeedu-kstars.diff

* Thu Mar 10 2005 Toru Hoshina <t@momonga-linux.org>
- (3.3.2-4m)
- build against boost 1.32.0.

* Wed Feb 16 2005 Ichiro Nakai <ichiro@n.email.ne.jp>
- (3.3.2-3m)
- [SECURITY] post-3.3.2-kdeedu-kstars.diff for "Buffer overflow in fliccd of kdeedu/kstars/indi"
  http://kde.org/info/security/advisory-20050215-1.txt

* Fri Feb  4 2005 Dai OKUYAMA <dai@ouchi.nahi.to>
- (3.3.2-2m)
- enable x86_64.

* Mon Dec 13 2004 Masayuki SANO <nosanosa@momonga-linux.org>
- (3.3.2-1m)
- update to KDE 3.3.2
 
* Fri Oct 22 2004 Shingo Akagaki <dora@kitty.dnsalias.org>
- (3.3.1-2m)
- add patch0 for boost-python-1.31

* Mon Oct 18 2004 Masayuki SANO <nosanosa@momonga-linux.org>
- (3.3.1-1m)
- update to KDE 3.3.1
 
* Mon Sep 27 2004 Hiroyuki Koga <kuma@momonga-linux.org>
- (3.3.0-2m)
- rebuild against kdelibs-3.3.0-3m (libstdc++-3.4.1)

* Fri Sep 24 2004 Masayuki SANO <nosanosa@momonga-linux.org>
- (3.3.0-1m)
- KDE 3.3.0

* Thu Jun 17 2004 Masayuki SANO <nosanosa@momonga-linux.org>
- (3.2.3-1m)
- KDE 3.2.3
- Bugfix Release
 
* Sat Apr 24 2004 Masayuki SANO <nosanosa@momonga-linux.org>
- (3.2.3-1m)
- KDE 3.2.3

* Sat Mar 13 2004 Masayuki SANO <nosanosa@momonga-linux.org>
- (3.2.1-1m)
- KDE 3.2.1 Release

* Sat Feb 14 2004 Masayuki SANO <nosanosa@momonga-linux.org>
- (3.2.0-1m)
- KDE 3.2.0
- modified %%files

* Thu Jan 15 2004 YAMAZAKI Makoto <zaki@zakky.org>
- (3.1.5-1m)
- update to 3.1.5

* Sat Dec 27 2003 kourin <kourin@fh.freeserve.ne.jp>
- (3.1.4-3m)
- rebuild against for qt-3.2.3

* Sat Nov 8 2003 kourin <kourin@fh.freeserve.ne.jp>
- (3.1.4-2m)
- rebuild against for qt-3.2.3

* Wed Aug 24 2003 kourin <kourin@fh.freeserve.ne.jp>
- (3.1.4-1m)
- update to 3.1.4

* Thu Aug 14 2003 YAMAZAKI Makoto <uomaster@nifty.com>
- (3.1.3-1m)
- update to 3.1.3

* Tue Jul  8 2003 YAMAZAKI Makoto <uomaster@nifty.com>
- (3.1.2-2m)
- add -fno-stack-protector if gcc is 3.3

* Mon May 26 2003 YAMAZAKI Makoto <uomaster@nifty.com>
- (3.1.2-1m)
- update to 3.1.2
- no changes since 3.1.1

* Thu Apr 10 2003 Shingo Akagaki <dora@kitty.dnsalias.org>
- (3.1.1-3m)
- remove requires: qt-Xt
                                                                                
* Sun Mar 23 2003 Shingo Akagaki <dora@kitty.dnsalias.org>
- (3.1.1-2m)
- rebuild against for XFree86-4.3.0

* Fri Mar 21 2003 YAMAZAKI Makoto <uomaster@nifty.com>
- (3.1.1-1m)
- update to 3.1.1
    KStars: 
      Fixed bug #51708: No longer exits if starting position is below horizon (only affected some systems)
      Fixed bug #52205: Country of Lhasa is China, not Tibet. 
      Fixed too-narrow coordinates field in statusbar.
      Fixed bug in "length of day" calculator module; it now properly accounts for latitude and longitude

* Wed Mar 12 2003 TABUCHI Takaaki <tab@momonga-linux.org>
- (3.1-2m)
- add URL

* Sun Feb  2 2003 Shigeru Yamazaki <muradaikan@momonga-linux.org>
- (3.1-1m)
- version up.

* Sun Jan 12 2003 Tadataka Yoshikawa <yosshy@momonga-linux.org>
- (3.0.5a-1m)
- ver up.

* Wed Dec 11 2002 YAMAZAKI Makoto <uomaster@nifty.com>
- (3.0.4-2m)
- use autoconf-2.53

* Fri Oct 11 2002 Tadataka Yoshikawa <yosshy@momonga-linux.org>
- (3.0.4-1m)
- ver up.

* Mon Aug 19 2002 Tadataka Yoshikawa <yosshy@momonga-linux.org>
- (3.0.3-1m)
- ver up.

* Wed Jul 17 2002 Tadataka Yoshikawa <yosshy@momonga-linux.org>
- (3.0.2-2m)
- rebuild against qt-3.0.5.

* Sun Jul 14 2002 Tadataka Yoshikawa <yosshy@momonga-linux.org>
- (3.0.2-1m)
- ver up.

* Sun Jun  9 2002 Tadataka Yoshikawa <yosshy@kondara.org>
- (3.0.1-2k)
- ver up.

* Fri Apr  5 2002 Tsutomu Yasuda <tom@kondara.org>
- (3.0.0-2k)
  update to 3.0 release

* Thu Mar 21 2002 Toru Hoshina <t@kondara.org>
- (3.0.0-0.0003002k)
- based on 3.0rc3.
